<?php



class TercerosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TercerosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('TERCEROS');
		$tMap->setPhpName('Terceros');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('NITOCC', 'Nitocc', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('TIPTER', 'Tipter', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('RAZSOC', 'Razsoc', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('CIUDAD', 'Ciudad', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('TELEFO', 'Telefo', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('TELFAX', 'Telfax', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('DIRECC', 'Direcc', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('EMAIL', 'Email', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('SUELDO', 'Sueldo', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('CARGO', 'Cargo', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('CODREG', 'Codreg', 'string', CreoleTypes::VARCHAR, false, 20);

	} 
} 